tut Namespace Reference

Template Unit Tests Framework for C++. More...

## Namespaces

| util

## Classes

struct | no_such_test
| Exception to be throwed when attempted to execute missed test by number. More...
struct | beyond_last_test
| No such test and passed test number is higher than any test number in current group. More...
struct | no_such_group
| Group not found exception. More...
struct | no_more_tests
| Internal exception to be throwed when no more tests left in group or journal. More...
struct | bad_ctor
| Internal exception to be throwed when test constructor has failed. More...
class | failure
| Exception to be throwed when ensure() fails or fail() called. More...
class | warning
| Exception to be throwed when test desctructor throwed an exception. More...
class | seh
| Exception to be throwed when test issued SEH (Win32) More...
struct | test_result
| Return type of runned test/test group. More...
struct | group_base
| Interface. More...
struct | callback
| Test runner callback interface. More...
class | test_runner
| Test runner. More...
class | test_runner_singleton
| Singleton for test_runner implementation. More...
class | test_object
| Test object. More...
struct | tests_registerer
| Walks through test tree and stores address of each test method in group. More...
struct | tests_registerer< Test, Group, 0 >
class | test_group
| Test group; used to recreate test object instance for each new test since we have to have reinitialized Data base class. More...
class | reporter
| Default TUT callback handler. More...
class | restartable_wrapper
| Restartable test runner wrapper. More...

## Typedefs

typedef std::vector< std::string > | groupnames
| Typedef for runner::list_groups() More...

## Variables

test_runner_singleton | runner

## Detailed Description

Template Unit Tests Framework for C++.

http://tut.dozen.ru

Author
  dozen, tut@d.nosp@m.ozen.nosp@m..ru

http://tut.dozen.ru

Optional restartable wrapper for test_runner. Allows to restart test runs finished due to abnormal test application termination (such as segmentation fault or math error).

Author
  dozen, tut@d.nosp@m.ozen.nosp@m..ru

## Typedef Documentation

## groupnames

typedef std::vector<std::string> tut::groupnames

Typedef for runner::list_groups()

## Variable Documentation

## runner

test_runner_singleton tut::runner

Referenced by main(), and tut::test_group< Data, MaxTestsInGroup >::test_group().